Bug 246106 - devel/boost-all: Update to 1.77.0
Summary: devel/boost-all: Update to 1.77.0
Status: Open
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Dima Panov
URL: https://www.boost.org/users/history/v...
Keywords: needs-qa, patch
: 250677 (view as bug list)
Depends on: 241449
Blocks: 260762
  Show dependency treegraph
 
Reported: 2020-05-01 20:58 UTC by Jan Beich
Modified: 2022-05-24 22:03 UTC (History)
10 users (show)

See Also:
bugzilla: maintainer-feedback? (office)
fluffy: exp-run?


Attachments
Update Boost to 1.77.0 (860.88 KB, patch)
2021-11-13 16:03 UTC, Dima Panov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2020-05-01 20:58:50 UTC
See review D24485 for the patch. Each update breaks ABI and sometimes API.
Comment 1 Jan Beich freebsd_committer 2020-07-26 12:29:47 UTC
For some reason, I can't recover from a burnout (not limited to Boost) in order to fix known bustage and hand over for an exp-run to uncover more. Given 1.74.0 is around the corner focusing on 1.73.0 may not be a good idea anymore.
Comment 2 Li-Wen Hsu freebsd_committer 2020-11-06 07:40:25 UTC
*** Bug 250677 has been marked as a duplicate of this bug. ***
Comment 3 Daniel Engberg freebsd_committer 2020-12-12 16:58:00 UTC
1.75.0 is out as of December 11th, 2020

Best regards,
Daniel
Comment 4 Dmitry Marakasov freebsd_committer 2021-02-26 13:41:14 UTC
Ping, any progress? I need this (or maybe even 1.75.0) for another port update.
Comment 5 Dmitry Marakasov freebsd_committer 2021-04-11 19:23:16 UTC
Ping?
Comment 6 Kurt Jaeger freebsd_committer 2021-04-17 10:58:35 UTC
Now 1.76.0 is the most recent version:
Comment 7 Dima Panov freebsd_committer 2021-04-17 16:19:48 UTC
Folks, I know about updates but porting it AND test/patch all consumers is not so easy task, please be patient, work in progress.
Comment 8 Dima Panov freebsd_committer 2021-04-20 15:09:24 UTC
Call for testing for Boost-1.76.0!

WIP overlay for boost: https://github.com/fluffykhv/freebsd-ports-boost

Pkg repository for boost: 
https://build.dimapanov.com/packages/130amd64-default/

Pkgs have some languages defaults set:
DEFAULT_VERSIONS+=java=11
DEFAULT_VERSIONS+=lua=5.3
DEFAULT_VERSIONS+=php=7.4
DEFAULT_VERSIONS+=python=3.8
DEFAULT_VERSIONS+=python3=3.8
DEFAULT_VERSIONS+=ruby=2.7

All OPTIONS by default
Comment 9 Wen Heping freebsd_committer 2021-10-27 23:26:22 UTC
ping ...
Comment 10 Steve Wills freebsd_committer 2021-10-30 14:01:21 UTC
What's the status of this update? I am hitting a bug in boost which is fixed in newer versions in the process of trying to port SuperSlicer. See:

https://github.com/supermerill/SuperSlicer/issues/444
https://github.com/boostorg/process/issues/116
Comment 11 Li-Wen Hsu freebsd_committer 2021-10-30 15:05:04 UTC
(In reply to Steve Wills from comment #10)
I believe the next step is prepare a patch based on https://github.com/fluffykhv/freebsd-ports-boost/ and ask for an exp-run.
Comment 12 Dima Panov freebsd_committer 2021-11-13 16:03:10 UTC
Created attachment 229471 [details]
Update Boost to 1.77.0

Office@ asks to execute exp-run for Boost update from 1.72.0 to 1.77.0

Patch is also available from https://people.freebsd.org/~fluffy/-patches/boost-1_72-1_77.diff


Most of failed consumers are already fixed in WIP area https://github.com/fluffykhv/freebsd-ports-boost
Comment 13 Antoine Brodin freebsd_committer 2021-11-16 17:33:12 UTC
Some new failure logs:


http://package22.nyi.freebsd.org/data/130amd64-default-foo/2021-11-15_21h36m30s/logs/supercollider-3.11.0_3.log
http://package22.nyi.freebsd.org/data/130amd64-default-foo/2021-11-15_21h36m30s/logs/hipercontracer-1.6.0.log
http://package22.nyi.freebsd.org/data/130amd64-default-foo/2021-11-15_21h36m30s/logs/cufflinks-2.2.1.89_2.log
http://package22.nyi.freebsd.org/data/130amd64-default-foo/2021-11-15_21h36m30s/logs/librecad-2.2.0.r2_1.log
http://package22.nyi.freebsd.org/data/130amd64-default-foo/2021-11-15_21h36m30s/logs/openroad-2.0,1.log
http://package22.nyi.freebsd.org/data/130amd64-default-foo/2021-11-15_21h36m30s/logs/gnuradio-3.8.1.0_8.log
http://package22.nyi.freebsd.org/data/130amd64-default-foo/2021-11-15_21h36m30s/logs/uhd-4.0.0.0_2.log
http://package22.nyi.freebsd.org/data/130amd64-default-foo/2021-11-15_21h36m30s/logs/foundationdb-devel-7.0.0.a.20210529.log
http://package22.nyi.freebsd.org/data/130amd64-default-foo/2021-11-15_21h36m30s/logs/xtrabackup8-8.0.14_3.log
http://package22.nyi.freebsd.org/data/130amd64-default-foo/2021-11-15_21h36m30s/logs/cpp-hocon-0.3.0.log
http://package22.nyi.freebsd.org/data/130amd64-default-foo/2021-11-15_21h36m30s/logs/cpprestsdk-2.10.16.log
http://package22.nyi.freebsd.org/data/130amd64-default-foo/2021-11-15_21h36m30s/logs/hpx-1.2.1_4.log
http://package22.nyi.freebsd.org/data/130amd64-default-foo/2021-11-15_21h36m30s/logs/liblas-1.8.1_19.log
http://package22.nyi.freebsd.org/data/130amd64-default-foo/2021-11-15_21h36m30s/logs/monotone-1.1_19.log
http://package22.nyi.freebsd.org/data/130amd64-default-foo/2021-11-15_21h36m30s/logs/py38-pynest2d-4.8.0_4.log
http://package22.nyi.freebsd.org/data/130amd64-default-foo/2021-11-15_21h36m30s/logs/apache-openoffice-4.1.11.log
http://package22.nyi.freebsd.org/data/130amd64-default-foo/2021-11-15_21h36m30s/logs/apache-openoffice-devel-4.2.1633255994,4.log
http://package22.nyi.freebsd.org/data/130amd64-default-foo/2021-11-15_21h36m30s/logs/ledger-3.2.1_1.log
http://package22.nyi.freebsd.org/data/130amd64-default-foo/2021-11-15_21h36m30s/logs/opendungeons-0.7.1_7.log
http://package22.nyi.freebsd.org/data/130amd64-default-foo/2021-11-15_21h36m30s/logs/pokerth-1.1.2_14.log
http://package22.nyi.freebsd.org/data/130amd64-default-foo/2021-11-15_21h36m30s/logs/widelands-b21_4.log
http://package22.nyi.freebsd.org/data/130amd64-default-foo/2021-11-15_21h36m30s/logs/appleseed-2.1.0.b_8.log
http://package22.nyi.freebsd.org/data/130amd64-default-foo/2021-11-15_21h36m30s/logs/povray37-3.7.0.10_2.log
http://package22.nyi.freebsd.org/data/130amd64-default-foo/2021-11-15_21h36m30s/logs/povray38-3.8.0.b.2.log
http://package22.nyi.freebsd.org/data/130amd64-default-foo/2021-11-15_21h36m30s/logs/astroid-0.15_7.log
http://package22.nyi.freebsd.org/data/130amd64-default-foo/2021-11-15_21h36m30s/logs/deal.II-9.3.1_2.log
http://package22.nyi.freebsd.org/data/130amd64-default-foo/2021-11-15_21h36m30s/logs/lms-3.25.2.log
http://package22.nyi.freebsd.org/data/130amd64-default-foo/2021-11-15_21h36m30s/logs/licq-base-1.9.0_4.log
http://package22.nyi.freebsd.org/data/130amd64-default-foo/2021-11-15_21h36m30s/logs/eiskaltdcpp-lib-2.2.10_20.log
http://package22.nyi.freebsd.org/data/130amd64-default-foo/2021-11-15_21h36m30s/logs/qtum-0.20.3_1.log
http://package22.nyi.freebsd.org/data/130amd64-default-foo/2021-11-15_21h36m30s/logs/zetacoin-0.13.2.1_6.log
http://package22.nyi.freebsd.org/data/130amd64-default-foo/2021-11-15_21h36m30s/logs/zetacoin-daemon-0.13.2.1_6.log
http://package22.nyi.freebsd.org/data/130amd64-default-foo/2021-11-15_21h36m30s/logs/cpp-pcp-client-1.7.3.log
http://package22.nyi.freebsd.org/data/130amd64-default-foo/2021-11-15_21h36m30s/logs/rsocket-cpp-2021.08.30.00.log
http://package22.nyi.freebsd.org/data/130amd64-default-foo/2021-11-15_21h36m30s/logs/bagel-1.2.2_6.log
http://package22.nyi.freebsd.org/data/130amd64-default-foo/2021-11-15_21h36m30s/logs/libgeodecomp-0.4.0_22.log
http://package22.nyi.freebsd.org/data/130amd64-default-foo/2021-11-15_21h36m30s/logs/domoticz-2020.2_2.log
Comment 14 Kurt Jaeger freebsd_committer 2022-04-12 15:37:19 UTC
There's an overlay repository for the update:

https://github.com/fluffykhv/freebsd-ports-boost
Comment 15 Antoine Brodin freebsd_committer 2022-04-13 14:18:32 UTC
(In reply to Kurt Jaeger from comment #14)
Hello,

Can you provide a patch for the exp-run?

Also, if some fixes work with both versions of boost they can be committed now.
Comment 16 commit-hook freebsd_committer 2022-05-22 20:18:30 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=4f921333e664ce1571f840423b680298202380ba

commit 4f921333e664ce1571f840423b680298202380ba
Author:     Dima Panov <fluffy@FreeBSD.org>
AuthorDate: 2022-05-22 20:08:53 +0000
Commit:     Dima Panov <fluffy@FreeBSD.org>
CommitDate: 2022-05-22 20:17:15 +0000

    lang/solidity: mark as BROKEN after recent boost upgrade

    PR:     246106

 lang/solidity/Makefile | 2 ++
 1 file changed, 2 insertions(+)
Comment 17 commit-hook freebsd_committer 2022-05-22 20:18:32 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=3794e1a2edc06ad14b246dad59ebde670e965186

commit 3794e1a2edc06ad14b246dad59ebde670e965186
Author:     Dima Panov <fluffy@FreeBSD.org>
AuthorDate: 2022-05-22 20:12:40 +0000
Commit:     Dima Panov <fluffy@FreeBSD.org>
CommitDate: 2022-05-22 20:17:16 +0000

    net-p2p/zetacoin: mark as BROKEN after recent boost upgrade

    PR:     246106

 net-p2p/zetacoin/Makefile | 2 ++
 1 file changed, 2 insertions(+)
Comment 18 commit-hook freebsd_committer 2022-05-22 20:18:34 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=b082b3d13e8c4872b73fb681eb99b261926ac9cd

commit b082b3d13e8c4872b73fb681eb99b261926ac9cd
Author:     Dima Panov <fluffy@FreeBSD.org>
AuthorDate: 2022-05-22 20:13:56 +0000
Commit:     Dima Panov <fluffy@FreeBSD.org>
CommitDate: 2022-05-22 20:17:16 +0000

    devel/boost-all: bump all library consumers after boost upgrade

    PR:     246106

 astro/py-pykep/Makefile                         | 1 +
 astro/pykep/Makefile                            | 1 +
 audio/ardour6/Makefile                          | 2 +-
 audio/din/Makefile                              | 1 +
 audio/guitarix-lv2/Makefile                     | 1 +
 audio/mp3plot/Makefile                          | 2 +-
 audio/mumble/Makefile                           | 2 +-
 audio/musicpd/Makefile                          | 1 +
 audio/ncmpc/Makefile                            | 1 +
 audio/ncmpcpp/Makefile                          | 2 +-
 audio/pamixer/Makefile                          | 1 +
 audio/wavetral/Makefile                         | 1 +
 biology/bolt-lmm/Makefile                       | 1 +
 biology/canu/Makefile                           | 1 +
 biology/dsr-pdb/Makefile                        | 2 +-
 biology/haplohseq/Makefile                      | 2 +-
 biology/iqtree/Makefile                         | 2 +-
 biology/pbbam/Makefile                          | 2 +-
 cad/csxcad/Makefile                             | 2 +-
 cad/freecad/Makefile                            | 1 +
 cad/kicad-devel/Makefile                        | 2 +-
 cad/kicad/Makefile                              | 2 +-
 cad/openscad-devel/Makefile                     | 2 +-
 cad/openscad/Makefile                           | 2 +-
 chinese/fcitx5-chinese-addons/Makefile          | 1 +
 chinese/libime-jyutping/Makefile                | 1 +
 chinese/libime/Makefile                         | 1 +
 chinese/librime/Makefile                        | 2 +-
 comms/fldigi/Makefile                           | 1 +
 comms/gnuradio/Makefile                         | 2 +-
 comms/gqrx/Makefile                             | 1 +
 comms/gr-osmosdr/Makefile                       | 1 +
 comms/soapyuhd/Makefile                         | 2 +-
 comms/wsjtx/Makefile                            | 1 +
 converters/osm2pgrouting/Makefile               | 1 +
 converters/osm2pgsql/Makefile                   | 1 +
 databases/akonadi/Makefile                      | 1 +
 databases/arrow/Makefile                        | 2 +-
 databases/galera/Makefile                       | 1 +
 databases/galera26/Makefile                     | 1 +
 databases/grass7/Makefile                       | 2 +-
 databases/mysql-connector-c++/Makefile          | 2 +-
 databases/pgrouting/Makefile                    | 1 +
 databases/sfcgal/Makefile                       | 1 +
 databases/soci/Makefile                         | 1 +
 databases/speedtables/Makefile                  | 2 +-
 databases/vsqlite/Makefile                      | 2 +-
 deskutils/easystroke/Makefile                   | 2 +-
 deskutils/kdepim-runtime/Makefile               | 1 +
 deskutils/pinot/Makefile                        | 2 +-
 deskutils/syncthingtray/Makefile                | 1 +
 devel/avro-cpp/Makefile                         | 1 +
 devel/axmldec/Makefile                          | 2 +-
 devel/boost-python-libs/Makefile                | 1 +
 devel/codeblocks/Makefile                       | 2 +-
 devel/collada-dom/Makefile                      | 2 +-
 devel/cpp-hocon/Makefile                        | 1 +
 devel/cpp-netlib/Makefile                       | 1 +
 devel/folly/Makefile                            | 2 +-
 devel/gearmand/Makefile                         | 2 +-
 devel/heaptrack/Makefile                        | 2 +-
 devel/ikos/Makefile                             | 2 +-
 devel/kdevelop/Makefile                         | 1 +
 devel/leatherman/Makefile                       | 1 +
 devel/libcutl/Makefile                          | 2 +-
 devel/libftdi/Makefile                          | 2 +-
 devel/libftdi1/Makefile                         | 2 +-
 devel/libiqxmlrpc/Makefile                      | 2 +-
 devel/liblas/Makefile                           | 2 +-
 devel/libnest2d-ultimaker/Makefile              | 1 +
 devel/liborcus/Makefile                         | 1 +
 devel/libphonenumber/Makefile                   | 1 +
 devel/msp430-debug-stack/Makefile               | 2 +-
 devel/nextpnr/Makefile                          | 2 +-
 devel/py-pynest2d/Makefile                      | 1 +
 devel/sdts++/Makefile                           | 2 +-
 devel/simgear/Makefile                          | 1 +
 devel/thrift-cpp/Makefile                       | 2 +-
 devel/ticcutils/Makefile                        | 2 +-
 devel/umbrello/Makefile                         | 1 +
 dns/dnsdist/Makefile                            | 1 +
 dns/powerdns-recursor/Makefile                  | 1 +
 dns/powerdns/Makefile                           | 1 +
 editors/abiword/Makefile                        | 2 +-
 editors/calligra/Makefile                       | 2 +-
 editors/libreoffice/Makefile                    | 2 +-
 editors/madedit/Makefile                        | 2 +-
 editors/poedit/Makefile                         | 2 +-
 emulators/emulationstation/Makefile             | 2 +-
 emulators/mupen64plus-video-glide64mk2/Makefile | 2 +-
 finance/gnucash/Makefile                        | 2 +-
 finance/quantlib/Makefile                       | 1 +
 games/0ad/Makefile                              | 2 +-
 games/alephone/Makefile                         | 2 +-
 games/allacrost/Makefile                        | 2 +-
 games/bastet/Makefile                           | 2 +-
 games/burrtools/Makefile                        | 2 +-
 games/colobot/Makefile                          | 2 +-
 games/domino-chain/Makefile                     | 1 +
 games/flightgear-terragear/Makefile             | 2 +-
 games/flightgear/Makefile                       | 1 +
 games/freeorion/Makefile                        | 1 +
 games/frogatto/Makefile                         | 2 +-
 games/galaxyhack/Makefile                       | 2 +-
 games/leela-zero/Makefile                       | 2 +-
 games/openmw/Makefile                           | 2 +-
 games/pokerth/Makefile                          | 2 ++
 games/py-fife/Makefile                          | 2 +-
 games/scummvm-tools/Makefile                    | 1 +
 games/springlobby/Makefile                      | 1 +
 games/stuntrally/Makefile                       | 1 +
 games/supertux2/Makefile                        | 2 +-
 games/traingame/Makefile                        | 2 +-
 games/valyriatear/Makefile                      | 2 +-
 games/vamos/Makefile                            | 2 +-
 games/violetland/Makefile                       | 2 +-
 games/wesnoth/Makefile                          | 2 +-
 graphics/blender-lts28/Makefile                 | 2 +-
 graphics/cloudcompare/Makefile                  | 1 +
 graphics/colmap/Makefile                        | 2 +-
 graphics/digikam/Makefile                       | 2 +-
 graphics/dspdfviewer/Makefile                   | 2 +-
 graphics/electricsheep/Makefile                 | 2 +-
 graphics/epsonscan2/Makefile                    | 2 +-
 graphics/evolvotron/Makefile                    | 2 +-
 graphics/fracplanet/Makefile                    | 2 +-
 graphics/gnash/Makefile                         | 2 +-
 graphics/gource/Makefile                        | 2 +-
 graphics/hugin/Makefile                         | 1 +
 graphics/krita/Makefile                         | 2 +-
 graphics/libetonyek01/Makefile                  | 2 +-
 graphics/luminance-qt5/Makefile                 | 2 +-
 graphics/openimageio-ociov1/Makefile            | 2 +-
 graphics/openimageio/Makefile                   | 2 +-
 graphics/openshadinglanguage/Makefile           | 1 +
 graphics/openvkl/Makefile                       | 1 +
 graphics/osg/Makefile                           | 2 +-
 graphics/pcl-pointclouds/Makefile               | 2 +-
 graphics/povray37/Makefile                      | 2 +-
 graphics/povray38/Makefile                      | 1 +
 graphics/py-openimageio/Makefile                | 2 +-
 graphics/py-openshadinglanguage/Makefile        | 1 +
 graphics/synfig/Makefile                        | 1 +
 graphics/yafaray/Makefile                       | 2 +-
 irc/znc/Makefile                                | 2 +-
 math/SoPlex/Makefile                            | 1 +
 math/adol-c/Makefile                            | 2 +-
 math/armadillo/Makefile                         | 1 +
 math/asymptote/Makefile                         | 2 +-
 math/brial/Makefile                             | 1 +
 math/cadabra2/Makefile                          | 2 +-
 math/cgal/Makefile                              | 2 +-
 math/clblas/Makefile                            | 2 +-
 math/cryptominisat/Makefile                     | 1 +
 math/curv/Makefile                              | 2 +-
 math/cvc4/Makefile                              | 2 +-
 math/deal.ii/Makefile                           | 1 +
 math/e-antic/Makefile                           | 2 +-
 math/eclib/Makefile                             | 2 +-
 math/heyoka/Makefile                            | 1 +
 math/lib2geom/Makefile                          | 2 +-
 math/libmesh/Makefile                           | 1 +
 math/mlpack/Makefile                            | 2 +-
 math/obake/Makefile                             | 2 +-
 math/oink/Makefile                              | 1 +
 math/openturns/Makefile                         | 1 +
 math/pdal/Makefile                              | 2 +-
 math/py-heyoka/Makefile                         | 1 +
 math/py-piranha/Makefile                        | 2 +-
 math/rocs/Makefile                              | 1 +
 math/sage/Makefile                              | 2 +-
 math/stp/Makefile                               | 2 +-
 math/symengine/Makefile                         | 2 +-
 math/sympol/Makefile                            | 2 +-
 math/vowpal_wabbit/Makefile                     | 2 +-
 misc/dartsim/Makefile                           | 1 +
 misc/glow/Makefile                              | 2 +-
 misc/ompl/Makefile                              | 1 +
 misc/openvdb/Makefile                           | 2 +-
 misc/usd/Makefile                               | 2 +-
 misc/visp/Makefile                              | 1 +
 multimedia/aegisub/Makefile                     | 2 +-
 multimedia/cclive/Makefile                      | 2 +-
 multimedia/flvtool++/Makefile                   | 2 +-
 multimedia/gstreamer1-qt/Makefile               | 2 +-
 multimedia/mkvtoolnix/Makefile                  | 1 +
 multimedia/musikcube/Makefile                   | 1 +
 multimedia/omxplayer/Makefile                   | 2 +-
 net-im/chatterino2/Makefile                     | 1 +
 net-im/ktp-call-ui/Makefile                     | 1 +
 net-im/licq-icq/Makefile                        | 2 +-
 net-im/licq-jabber/Makefile                     | 2 +-
 net-im/licq-osd/Makefile                        | 2 +-
 net-im/licq-qt-gui/Makefile                     | 2 +-
 net-mgmt/fastnetmon/Makefile                    | 2 +-
 net-mgmt/icinga2/Makefile                       | 1 +
 net-mgmt/metronome/Makefile                     | 2 +-
 net-p2p/bitcoin-daemon/Makefile                 | 2 +-
 net-p2p/bitcoin-utils/Makefile                  | 1 +
 net-p2p/bitcoin/Makefile                        | 2 +-
 net-p2p/libtorrent-rasterbar/Makefile           | 1 +
 net-p2p/litecoin-daemon/Makefile                | 1 +
 net-p2p/litecoin-utils/Makefile                 | 1 +
 net-p2p/litecoin/Makefile                       | 2 +-
 net-p2p/monero-cli/Makefile                     | 1 +
 net-p2p/namecoin-daemon/Makefile                | 1 +
 net-p2p/namecoin-utils/Makefile                 | 1 +
 net-p2p/namecoin/Makefile                       | 2 +-
 net-p2p/qbittorrent/Makefile                    | 1 +
 net-p2p/zetacoin-daemon/Makefile                | 1 +
 net-p2p/zetacoin-utils/Makefile                 | 1 +
 net/ceph14/Makefile                             | 2 +-
 net/cpp-pcp-client/Makefile                     | 1 +
 net/fb303/Makefile                              | 2 +-
 net/fbzmq/Makefile                              | 2 +-
 net/grive2/Makefile                             | 1 +
 net/kea/Makefile                                | 1 +
 net/libcmis/Makefile                            | 2 +-
 net/mvfst/Makefile                              | 2 +-
 net/pichi/Makefile                              | 2 +-
 net/pktanon/Makefile                            | 2 +-
 net/rsocket-cpp/Makefile                        | 2 +-
 net/wangle/Makefile                             | 2 +-
 print/lyx/Makefile                              | 1 +
 print/miktex/Makefile                           | 2 +-
 print/scribus-devel/Makefile                    | 2 +-
 science/ALPSCore/Makefile                       | 2 +-
 science/bddsolve/Makefile                       | 2 +-
 science/dakota/Makefile                         | 1 +
 science/libint2/Makefile                        | 1 +
 science/libkml/Makefile                         | 2 +-
 science/maeparser/Makefile                      | 1 +
 science/nest/Makefile                           | 1 +
 science/openbabel/Makefile                      | 2 +-
 science/openems/Makefile                        | 2 +-
 science/orthanc-dicomweb/Makefile               | 1 +
 science/orthanc-mysql/Makefile                  | 2 +-
 science/orthanc-postgresql/Makefile             | 2 +-
 science/orthanc-webviewer/Makefile              | 1 +
 science/orthanc/Makefile                        | 2 +-
 science/pagmo2/Makefile                         | 2 +-
 science/pulseview/Makefile                      | 2 +-
 science/py-pygmo2/Makefile                      | 1 +
 science/qmcpack/Makefile                        | 2 +-
 science/rdkit/Makefile                          | 1 +
 science/rmf/Makefile                            | 1 +
 science/simgrid/Makefile                        | 1 +
 science/tfel-edf/Makefile                       | 2 +-
 science/tfel/Makefile                           | 1 +
 science/votca/Makefile                          | 1 +
 security/botan2/Makefile                        | 1 +
 security/fizz/Makefile                          | 2 +-
 security/i2pd/Makefile                          | 1 +
 security/kleopatra/Makefile                     | 1 +
 security/spass-qt5/Makefile                     | 1 +
 security/spass/Makefile                         | 2 +-
 sysutils/bulk_extractor/Makefile                | 2 +-
 sysutils/facter/Makefile                        | 1 +
 sysutils/frand/Makefile                         | 2 +-
 sysutils/glogg/Makefile                         | 2 +-
 sysutils/lizardfs/Makefile                      | 2 +-
 sysutils/logstalgia/Makefile                    | 1 +
 sysutils/nix/Makefile                           | 2 +-
 sysutils/pxp-agent/Makefile                     | 1 +
 sysutils/twmn/Makefile                          | 1 +
 textproc/cg3/Makefile                           | 2 +-
 textproc/libixion/Makefile                      | 1 +
 textproc/libkolabxml/Makefile                   | 2 +-
 textproc/luceneplusplus/Makefile                | 2 +-
 textproc/randlm/Makefile                        | 2 +-
 textproc/source-highlight/Makefile              | 2 +-
 textproc/ugrep/Makefile                         | 1 +
 textproc/xmlwrapp/Makefile                      | 2 +-
 www/anyterm/Makefile                            | 2 +-
 www/domoticz/Makefile                           | 1 +
 www/onlyoffice-documentserver/Makefile          | 2 +-
 www/osrm-backend/Makefile                       | 1 +
 www/proxygen/Makefile                           | 2 +-
 www/wt/Makefile                                 | 1 +
 x11/plasma5-plasma-desktop/Makefile             | 1 +
 280 files changed, 281 insertions(+), 163 deletions(-)
Comment 19 commit-hook freebsd_committer 2022-05-22 20:18:35 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=25c5203f02adbc14e623576647d9e59721f769c3

commit 25c5203f02adbc14e623576647d9e59721f769c3
Author:     Dima Panov <fluffy@FreeBSD.org>
AuthorDate: 2022-05-22 20:07:39 +0000
Commit:     Dima Panov <fluffy@FreeBSD.org>
CommitDate: 2022-05-22 20:17:14 +0000

    multimedia/snapcast: mark as BROKEN after recent boost upgrade

    PR:     246106

 multimedia/snapcast/Makefile | 2 ++
 1 file changed, 2 insertions(+)
Comment 20 commit-hook freebsd_committer 2022-05-22 20:18:36 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=1547a76734bd9ac71eec018d2cd1b5c022dd7707

commit 1547a76734bd9ac71eec018d2cd1b5c022dd7707
Author:     Dima Panov <fluffy@FreeBSD.org>
AuthorDate: 2022-05-22 20:11:36 +0000
Commit:     Dima Panov <fluffy@FreeBSD.org>
CommitDate: 2022-05-22 20:17:15 +0000

    devel/trellis: mark as BROKEN after recent boost upgrade

    PR:     246106

 devel/trellis/Makefile | 2 ++
 1 file changed, 2 insertions(+)
Comment 21 commit-hook freebsd_committer 2022-05-22 20:18:37 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=a90eda25e214a11ae691f9715b0d480cf29ab884

commit a90eda25e214a11ae691f9715b0d480cf29ab884
Author:     Dima Panov <fluffy@FreeBSD.org>
AuthorDate: 2022-05-22 19:51:31 +0000
Commit:     Dima Panov <fluffy@FreeBSD.org>
CommitDate: 2022-05-22 20:17:12 +0000

    editors/jucipp: mark as BROKEN after recent boost upgrade

    PR:     246106

 editors/jucipp/Makefile | 2 ++
 1 file changed, 2 insertions(+)
Comment 22 commit-hook freebsd_committer 2022-05-22 20:18:39 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=21348e248cb32d67477be85869b377387e924d82

commit 21348e248cb32d67477be85869b377387e924d82
Author:     Dima Panov <fluffy@FreeBSD.org>
AuthorDate: 2022-05-22 19:59:08 +0000
Commit:     Dima Panov <fluffy@FreeBSD.org>
CommitDate: 2022-05-22 20:17:13 +0000

    games/opendungeons: mark as BROKEN after recent boost upgrade

    PR:     246106

 games/opendungeons/Makefile | 2 ++
 1 file changed, 2 insertions(+)
Comment 23 commit-hook freebsd_committer 2022-05-22 20:18:40 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=1054b6f30ebfba3325a6d2cdb7bc1def670d3b31

commit 1054b6f30ebfba3325a6d2cdb7bc1def670d3b31
Author:     Dima Panov <fluffy@FreeBSD.org>
AuthorDate: 2022-05-22 19:31:43 +0000
Commit:     Dima Panov <fluffy@FreeBSD.org>
CommitDate: 2022-05-22 20:17:09 +0000

    biology/cufflinks: mark as BROKEN after recent boost upgrade

    PR:     246106

 biology/cufflinks/Makefile | 2 ++
 1 file changed, 2 insertions(+)
Comment 24 commit-hook freebsd_committer 2022-05-22 20:18:42 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=05e8f6c01f407b619373d67ac8e8dc3b2bbc99ce

commit 05e8f6c01f407b619373d67ac8e8dc3b2bbc99ce
Author:     Dima Panov <fluffy@FreeBSD.org>
AuthorDate: 2022-05-22 19:54:20 +0000
Commit:     Dima Panov <fluffy@FreeBSD.org>
CommitDate: 2022-05-22 20:17:12 +0000

    science/libgeodecomp: mark as BROKEN after recent boost upgrade

    PR:     246106

 science/libgeodecomp/Makefile | 2 ++
 1 file changed, 2 insertions(+)
Comment 25 commit-hook freebsd_committer 2022-05-22 20:18:43 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=a8f426840675d55dbfaea3000cc9123c6089975c

commit a8f426840675d55dbfaea3000cc9123c6089975c
Author:     Dima Panov <fluffy@FreeBSD.org>
AuthorDate: 2022-05-22 20:05:15 +0000
Commit:     Dima Panov <fluffy@FreeBSD.org>
CommitDate: 2022-05-22 20:17:14 +0000

    net-p2p/qtum: mark as BROKEN after recent boost upgrade

    PR:     246106

 net-p2p/qtum/Makefile | 1 +
 1 file changed, 1 insertion(+)
Comment 26 commit-hook freebsd_committer 2022-05-22 20:18:44 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=d0a098c28614744c11c2ffb1837c7dbe59403c19

commit d0a098c28614744c11c2ffb1837c7dbe59403c19
Author:     Dima Panov <fluffy@FreeBSD.org>
AuthorDate: 2022-05-22 19:50:19 +0000
Commit:     Dima Panov <fluffy@FreeBSD.org>
CommitDate: 2022-05-22 20:17:11 +0000

    cad/ifcopenshell: mark as BROKEN after recent boost upgrade

    PR:     246106

 cad/ifcopenshell/Makefile | 2 ++
 1 file changed, 2 insertions(+)
Comment 27 commit-hook freebsd_committer 2022-05-22 20:18:45 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=8c7b719ebf4ca14a4def099a7ffa4d867ec05c95

commit 8c7b719ebf4ca14a4def099a7ffa4d867ec05c95
Author:     Dima Panov <fluffy@FreeBSD.org>
AuthorDate: 2022-05-22 19:36:05 +0000
Commit:     Dima Panov <fluffy@FreeBSD.org>
CommitDate: 2022-05-22 20:17:10 +0000

    benchmarks/hipercontracer: mark as BROKEN after recent boost upgrade

    PR:     246106

 benchmarks/hipercontracer/Makefile | 2 ++
 1 file changed, 2 insertions(+)
Comment 28 commit-hook freebsd_committer 2022-05-22 20:18:47 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=d84fd73ecffb6a85ff721af375855b719f9213f1

commit d84fd73ecffb6a85ff721af375855b719f9213f1
Author:     Dima Panov <fluffy@FreeBSD.org>
AuthorDate: 2022-05-22 19:49:02 +0000
Commit:     Dima Panov <fluffy@FreeBSD.org>
CommitDate: 2022-05-22 20:17:11 +0000

    devel/hpx: mark as BROKEN after recent boost upgrade

    PR:     246106

 devel/hpx/Makefile | 1 +
 1 file changed, 1 insertion(+)
Comment 29 commit-hook freebsd_committer 2022-05-22 20:18:48 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=f057000b6fa0387b53ed840ed9c23fe0142bf160

commit f057000b6fa0387b53ed840ed9c23fe0142bf160
Author:     Dima Panov <fluffy@FreeBSD.org>
AuthorDate: 2022-05-22 19:34:21 +0000
Commit:     Dima Panov <fluffy@FreeBSD.org>
CommitDate: 2022-05-22 20:17:10 +0000

    devel/fbthrift: mark as BROKEN after recent boost upgrade

    PR:     246106

 devel/fbthrift/Makefile | 2 ++
 1 file changed, 2 insertions(+)
Comment 30 commit-hook freebsd_committer 2022-05-22 20:18:50 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=6bf64f0f21c4fd37cb29310128b5524af51567ea

commit 6bf64f0f21c4fd37cb29310128b5524af51567ea
Author:     Dima Panov <fluffy@FreeBSD.org>
AuthorDate: 2022-05-22 19:57:16 +0000
Commit:     Dima Panov <fluffy@FreeBSD.org>
CommitDate: 2022-05-22 20:17:13 +0000

    net-im/licq: mark as BROKEN and DEPRECATED, project is dead

    PR:     246106

 net-im/licq/Makefile | 4 ++++
 1 file changed, 4 insertions(+)
Comment 31 commit-hook freebsd_committer 2022-05-22 20:18:51 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=63e5afa2a05a07487b10699867e78a5db8293c61

commit 63e5afa2a05a07487b10699867e78a5db8293c61
Author:     Dima Panov <fluffy@FreeBSD.org>
AuthorDate: 2022-05-22 20:02:42 +0000
Commit:     Dima Panov <fluffy@FreeBSD.org>
CommitDate: 2022-05-22 20:17:14 +0000

    audio/pulseeffects: mark as BROKEN after recent boost upgrade

    PR:     246106

 audio/pulseeffects/Makefile | 2 ++
 1 file changed, 2 insertions(+)
Comment 32 commit-hook freebsd_committer 2022-05-22 20:18:52 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=d196b3b029ab6a607c31208da3d4f5f5585004c5

commit d196b3b029ab6a607c31208da3d4f5f5585004c5
Author:     Dima Panov <fluffy@FreeBSD.org>
AuthorDate: 2022-05-22 19:52:59 +0000
Commit:     Dima Panov <fluffy@FreeBSD.org>
CommitDate: 2022-05-22 20:17:12 +0000

    finance/ledger: mark as broken after recent boost upgrade

    PR:     246106

 finance/ledger/Makefile | 1 +
 1 file changed, 1 insertion(+)
Comment 33 commit-hook freebsd_committer 2022-05-22 20:19:54 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=e8522ff072d98de4e0c8568361c6322f9d9280be

commit e8522ff072d98de4e0c8568361c6322f9d9280be
Author:     Dima Panov <fluffy@FreeBSD.org>
AuthorDate: 2022-05-22 17:59:51 +0000
Commit:     Dima Panov <fluffy@FreeBSD.org>
CommitDate: 2022-05-22 20:17:01 +0000

    multimedia/lms: unbreak build after boost upgrade

    PR:     246106
    Obtained from:  upstream

 multimedia/lms/Makefile                                        |  1 +
 ...vices_auth_include_services_auth_IPasswordService.hpp (new) | 10 ++++++++++
 2 files changed, 11 insertions(+)
Comment 34 commit-hook freebsd_committer 2022-05-22 20:19:55 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=4f3a6a9b3e5127796c71eee4be67dfd582abc29d

commit 4f3a6a9b3e5127796c71eee4be67dfd582abc29d
Author:     Dima Panov <fluffy@FreeBSD.org>
AuthorDate: 2022-05-22 19:13:20 +0000
Commit:     Dima Panov <fluffy@FreeBSD.org>
CommitDate: 2022-05-22 20:17:07 +0000

    cad/PrusaSlicer: mark as BROKEN with recent boost

    PR:     246106

 cad/PrusaSlicer/Makefile | 2 ++
 1 file changed, 2 insertions(+)
Comment 35 commit-hook freebsd_committer 2022-05-22 20:19:57 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=f9bd0b455c40df76996395bcfde3dff68939c05e

commit f9bd0b455c40df76996395bcfde3dff68939c05e
Author:     Dima Panov <fluffy@FreeBSD.org>
AuthorDate: 2022-05-22 19:18:56 +0000
Commit:     Dima Panov <fluffy@FreeBSD.org>
CommitDate: 2022-05-22 20:17:07 +0000

    net-p2p/arbitrum-avm: mark as BROKEN after recent boost upgrade

    PR:     246106

 net-p2p/arbitrum-avm/Makefile | 2 ++
 1 file changed, 2 insertions(+)
Comment 36 commit-hook freebsd_committer 2022-05-22 20:19:58 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=617a8b4cd8dca0ef1563a1727540a99d91eaba45

commit 617a8b4cd8dca0ef1563a1727540a99d91eaba45
Author:     Dima Panov <fluffy@FreeBSD.org>
AuthorDate: 2022-05-22 18:28:57 +0000
Commit:     Dima Panov <fluffy@FreeBSD.org>
CommitDate: 2022-05-22 20:17:03 +0000

    databases/mongodb40: switch to bundled old boost

    PR:     246106

 databases/mongodb40/Makefile | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)
Comment 37 commit-hook freebsd_committer 2022-05-22 20:19:59 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=a1b52b8e4eab9b332129f4702dfcfbd8f8f19fea

commit a1b52b8e4eab9b332129f4702dfcfbd8f8f19fea
Author:     Dima Panov <fluffy@FreeBSD.org>
AuthorDate: 2022-05-22 18:29:53 +0000
Commit:     Dima Panov <fluffy@FreeBSD.org>
CommitDate: 2022-05-22 20:17:03 +0000

    databases/mongodb42: switch to bundled old boost

    PR:     246106

 databases/mongodb42/Makefile | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)
Comment 38 commit-hook freebsd_committer 2022-05-22 20:20:01 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=e666498ae3a7f48aa75859f0f4cb6baa15e0d867

commit e666498ae3a7f48aa75859f0f4cb6baa15e0d867
Author:     Dima Panov <fluffy@FreeBSD.org>
AuthorDate: 2022-05-22 19:30:13 +0000
Commit:     Dima Panov <fluffy@FreeBSD.org>
CommitDate: 2022-05-22 20:17:09 +0000

    devel/cpprestsdk: mark as broken after recent boost upgrade

    PR:     246106

 devel/cpprestsdk/Makefile | 2 ++
 1 file changed, 2 insertions(+)
Comment 39 commit-hook freebsd_committer 2022-05-22 20:20:02 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=5ec84647de2d16a2e85bc3f2d31eece0a739ca64

commit 5ec84647de2d16a2e85bc3f2d31eece0a739ca64
Author:     Dima Panov <fluffy@FreeBSD.org>
AuthorDate: 2022-05-22 19:27:41 +0000
Commit:     Dima Panov <fluffy@FreeBSD.org>
CommitDate: 2022-05-22 20:17:09 +0000

    graphics/blender-lts29: mark as BROKEN after recent boost upgrade

    PR:     246106

 graphics/blender-lts29/Makefile | 2 ++
 1 file changed, 2 insertions(+)
Comment 40 commit-hook freebsd_committer 2022-05-22 20:20:03 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=fa795d332e26221d789bcc48522b7e13a7ecca4d

commit fa795d332e26221d789bcc48522b7e13a7ecca4d
Author:     Dima Panov <fluffy@FreeBSD.org>
AuthorDate: 2022-05-22 18:54:38 +0000
Commit:     Dima Panov <fluffy@FreeBSD.org>
CommitDate: 2022-05-22 20:17:05 +0000

    editors/pdfedit: unreak build after boost upgrade

    PR:     246106

 editors/pdfedit/Makefile                               |  2 +-
 editors/pdfedit/files/patch-src-kernel-stateupdater.cc | 11 ++++++++++-
 2 files changed, 11 insertions(+), 2 deletions(-)
Comment 41 commit-hook freebsd_committer 2022-05-22 20:20:05 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=8d68db96619f7279aaa7f4f9d1bdf973d90a00b3

commit 8d68db96619f7279aaa7f4f9d1bdf973d90a00b3
Author:     Dima Panov <fluffy@FreeBSD.org>
AuthorDate: 2022-05-22 19:00:35 +0000
Commit:     Dima Panov <fluffy@FreeBSD.org>
CommitDate: 2022-05-22 20:17:06 +0000

    mail/astroid: update to 0.16 release to unbreak build with recent boost

    PR:     246106

 mail/astroid/Makefile | 5 ++---
 mail/astroid/distinfo | 6 +++---
 2 files changed, 5 insertions(+), 6 deletions(-)
Comment 42 commit-hook freebsd_committer 2022-05-22 20:20:06 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=bbaf24fef7cd7caa34c4edf6636a7a4b32e9f78e

commit bbaf24fef7cd7caa34c4edf6636a7a4b32e9f78e
Author:     Dima Panov <fluffy@FreeBSD.org>
AuthorDate: 2022-05-22 18:59:05 +0000
Commit:     Dima Panov <fluffy@FreeBSD.org>
CommitDate: 2022-05-22 20:17:05 +0000

    graphics/appleseed: mark as BROKEN due to Boost and ICIO dependencies

    PR:     246106

 graphics/appleseed/Makefile | 2 ++
 1 file changed, 2 insertions(+)
Comment 43 commit-hook freebsd_committer 2022-05-22 20:20:07 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=32bfbcbbca3d614080c3a15f0e7d2bce96586178

commit 32bfbcbbca3d614080c3a15f0e7d2bce96586178
Author:     Dima Panov <fluffy@FreeBSD.org>
AuthorDate: 2022-05-22 18:33:24 +0000
Commit:     Dima Panov <fluffy@FreeBSD.org>
CommitDate: 2022-05-22 20:17:04 +0000

    databases/foundationdb*: upbreak after boost upgrade (+)

    While here, replace hardcoded /usr/local by %%LOCALBASE%% macro

    PR:     246106

 databases/foundationdb-devel/Makefile                         |  3 +++
 .../patch-bindings_c_test_unit_third__party_CMakeLists.txt    |  2 +-
 .../files/patch-cmake_CompileBoost.cmake (new)                | 11 +++++++++++
 databases/foundationdb/Makefile                               |  3 +++
 .../patch-bindings_c_test_unit_third__party_CMakeLists.txt    |  2 +-
 .../foundationdb/files/patch-cmake_CompileBoost.cmake (new)   | 11 +++++++++++
 6 files changed, 30 insertions(+), 2 deletions(-)
Comment 44 commit-hook freebsd_committer 2022-05-22 20:20:09 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=210bd08ae29261c014bca5192ee5753b0fc14169

commit 210bd08ae29261c014bca5192ee5753b0fc14169
Author:     Dima Panov <fluffy@FreeBSD.org>
AuthorDate: 2022-05-22 18:07:10 +0000
Commit:     Dima Panov <fluffy@FreeBSD.org>
CommitDate: 2022-05-22 20:17:02 +0000

    audio/supercollider: upfate to 3.11.2 release to unbreak build after boost upgrade

    PR:     246106

 audio/supercollider/Makefile                       |  3 +-
 audio/supercollider/distinfo                       |  6 +-
 ...tch-QtCollider_primitives_prim__QPen.cpp (gone) | 10 ---
 .../patch-QtCollider_widgets_QcGraph.cpp (gone)    | 10 ---
 ...-QtCollider_widgets_QcLevelIndicator.cpp (gone) | 10 ---
 ...tch-QtCollider_widgets_QcMultiSlider.cpp (gone) | 10 ---
 .../patch-QtCollider_widgets_QcScopeShm.cpp (gone) | 10 ---
 ...tCollider_widgets_soundfileview_view.cpp (gone) | 10 ---
 .../files/patch-common_SC__Apple.hpp (new)         | 22 ++++++
 .../files/patch-common_SC__Apple.mm (new)          | 68 ++++++++++++++++++
 .../patch-common_SC__AppleEventLoop.hpp (new)      | 37 ++++++++++
 .../files/patch-common_SC__AppleEventLoop.mm (new) | 83 ++++++++++++++++++++++
 .../files/patch-common_SC__EventLoop.hpp (new)     | 19 +++++
 ..._special__functions_detail_fp__traits.hpp (new) | 11 +++
 .../patch-server_scsynth_CMakeLists.txt (new)      | 17 +++++
 .../patch-server_supernova_CMakeLists.txt (new)    | 18 +++++
 ...-server_supernova_sc_sc__osc__handler.hpp (new) | 27 +++++++
 audio/supercollider/pkg-plist                      | 10 +--
 18 files changed, 312 insertions(+), 69 deletions(-)
Comment 45 commit-hook freebsd_committer 2022-05-22 20:20:10 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=ec1e2b65177e03bfde9bb7c7eab5a7db6a3bdf3f

commit ec1e2b65177e03bfde9bb7c7eab5a7db6a3bdf3f
Author:     Dima Panov <fluffy@FreeBSD.org>
AuthorDate: 2022-05-22 19:26:00 +0000
Commit:     Dima Panov <fluffy@FreeBSD.org>
CommitDate: 2022-05-22 20:17:08 +0000

    graphics/blender: mark as BROKEN after recent boost upgrade

    PR:     246106

 graphics/blender/Makefile | 2 ++
 1 file changed, 2 insertions(+)
Comment 46 commit-hook freebsd_committer 2022-05-22 20:20:12 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=c56530d0015436ae237565790813225a17f82699

commit c56530d0015436ae237565790813225a17f82699
Author:     Dima Panov <fluffy@FreeBSD.org>
AuthorDate: 2022-05-22 19:15:49 +0000
Commit:     Dima Panov <fluffy@FreeBSD.org>
CommitDate: 2022-05-22 20:17:07 +0000

    devel/RStudio: mark as BROKEN after boost upgrade

    PR:     246106

 devel/RStudio/Makefile | 2 ++
 1 file changed, 2 insertions(+)
Comment 47 commit-hook freebsd_committer 2022-05-22 20:20:13 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=e873c0ff17df93aa201e1564eec9816571b66264

commit e873c0ff17df93aa201e1564eec9816571b66264
Author:     Dima Panov <fluffy@FreeBSD.org>
AuthorDate: 2022-05-22 19:23:47 +0000
Commit:     Dima Panov <fluffy@FreeBSD.org>
CommitDate: 2022-05-22 20:17:08 +0000

    science/bagel: mark as BROKEN after recent boost upgrade

    PR:     246106

 science/bagel/Makefile | 1 +
 1 file changed, 1 insertion(+)
Comment 48 commit-hook freebsd_committer 2022-05-22 20:20:14 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=b3409f4fb0c5c537d7cc0631388c970072e32a88

commit b3409f4fb0c5c537d7cc0631388c970072e32a88
Author:     Dima Panov <fluffy@FreeBSD.org>
AuthorDate: 2022-05-22 18:27:51 +0000
Commit:     Dima Panov <fluffy@FreeBSD.org>
CommitDate: 2022-05-22 20:17:03 +0000

    databases/mongodb36: switch to bundled old boost

    PR:     246106

 databases/mongodb36/Makefile | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)
Comment 49 commit-hook freebsd_committer 2022-05-22 20:20:16 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=d4f3d96260e2fbe3fe2e4e98e6b498776f946811

commit d4f3d96260e2fbe3fe2e4e98e6b498776f946811
Author:     Dima Panov <fluffy@FreeBSD.org>
AuthorDate: 2022-05-22 18:51:39 +0000
Commit:     Dima Panov <fluffy@FreeBSD.org>
CommitDate: 2022-05-22 20:17:04 +0000

    databases/xtrabackup8: bundle boost-1.72, last supported release

    PR:     246106

 databases/xtrabackup8/Makefile | 16 ++++++++++++----
 databases/xtrabackup8/distinfo |  4 +++-
 2 files changed, 15 insertions(+), 5 deletions(-)
Comment 50 commit-hook freebsd_committer 2022-05-22 20:20:17 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=ae17808e4a1b635038b5a80216cbf98bafdbb2ef

commit ae17808e4a1b635038b5a80216cbf98bafdbb2ef
Author:     Dima Panov <fluffy@FreeBSD.org>
AuthorDate: 2022-05-22 16:38:37 +0000
Commit:     Dima Panov <fluffy@FreeBSD.org>
CommitDate: 2022-05-22 20:17:00 +0000

    devel/boost-all:        update Boost to 1.79.0 release (+)

    Please welcome a longawaited boost-* upgrade.
    It introduces a full support for OpenSSL3.0, Clang13+, C++17/C++20 standards and more.

    Since 1.74 release Boost library introduced some internal changes which breaks comsumers of outdated API.
    All failed consumers will be marked as BROKEN in separated commits.

    Special thanks for all community members who take a long survey with real environments testing.

    Changelogs:
    https://www.boost.org/users/history/version_1_73_0.html
    https://www.boost.org/users/history/version_1_74_0.html
    https://www.boost.org/users/history/version_1_75_0.html
    https://www.boost.org/users/history/version_1_76_0.html
    https://www.boost.org/users/history/version_1_77_0.html
    https://www.boost.org/users/history/version_1_78_0.html
    https://www.boost.org/users/history/version_1_79_0.html

    PR:     246106
    Exp-runs by:    antoine

 devel/boost-all/common.mk                          |     4 +-
 devel/boost-all/compiled.mk                        |     4 +-
 devel/boost-docs/Makefile                          |     6 +
 devel/boost-docs/distinfo                          |     6 +-
 devel/boost-docs/pkg-plist (gone)                  | 25071 -------------------
 devel/boost-jam/Makefile                           |     2 +
 devel/boost-jam/distinfo                           |     6 +-
 devel/boost-libs/Makefile                          |     3 +-
 devel/boost-libs/distinfo                          |     6 +-
 .../files/patch-boost-disable-icu-rpath (new)      |    29 +
 .../files/patch-boost-mpi-python-PEP-328 (new)     |    17 +
 ...oost_coroutine_asymmetric__coroutine.hpp (gone) |    43 -
 .../files/patch-boost_math_tools_config.hpp (gone) |    11 -
 .../files/patch-boost_regex_config.hpp (gone)      |    13 -
 devel/boost-libs/files/patch-c++20-concepts (gone) |    69 -
 ...tch-tools_boost_install_boost-install.jam (new) |    38 +
 devel/boost-libs/pkg-plist                         |  1422 +-
 devel/boost-python-libs/Makefile                   |     6 +-
 devel/boost-python-libs/distinfo                   |     6 +-
 devel/boost-python-libs/pkg-plist                  |     8 +-
 20 files changed, 1326 insertions(+), 25444 deletions(-)
Comment 51 commit-hook freebsd_committer 2022-05-22 20:20:18 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=0ec14c674a5c0300bef5ed0759c1609fe2746ff5

commit 0ec14c674a5c0300bef5ed0759c1609fe2746ff5
Author:     Dima Panov <fluffy@FreeBSD.org>
AuthorDate: 2022-05-22 18:56:50 +0000
Commit:     Dima Panov <fluffy@FreeBSD.org>
CommitDate: 2022-05-22 20:17:05 +0000

    games/widelands: unbreak after boost upgrade

    PR:     246106

 games/widelands/Makefile                                    |  2 +-
 .../files/patch-src_network_bufferedconnection_h (new)      | 13 +++++++++++++
 2 files changed, 14 insertions(+), 1 deletion(-)
Comment 52 commit-hook freebsd_committer 2022-05-22 20:20:20 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=1fc616fd28adba9027edf2446f48d3d7a2f32033

commit 1fc616fd28adba9027edf2446f48d3d7a2f32033
Author:     Dima Panov <fluffy@FreeBSD.org>
AuthorDate: 2022-05-22 19:03:51 +0000
Commit:     Dima Panov <fluffy@FreeBSD.org>
CommitDate: 2022-05-22 20:17:06 +0000

    net-p2p/eiskaltdcpp-lib: unbreak after boot upgrade

    PR:     246106

 net-p2p/eiskaltdcpp-lib/Makefile                              |  2 +-
 net-p2p/eiskaltdcpp-lib/files/patch-dcpp__TigerHash.cpp (new) | 11 +++++++++++
 2 files changed, 12 insertions(+), 1 deletion(-)
Comment 55 commit-hook freebsd_committer 2022-05-24 08:51:22 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=a092955dc3ad12241f9fcaf490bb8c498a4a7ba6

commit a092955dc3ad12241f9fcaf490bb8c498a4a7ba6
Author:     Dima Panov <fluffy@FreeBSD.org>
AuthorDate: 2022-05-24 08:48:24 +0000
Commit:     Dima Panov <fluffy@FreeBSD.org>
CommitDate: 2022-05-24 08:48:24 +0000

    devel/leatherman: unbreak build after recent boost upgrade (+)

    nowide library now included in main Boost package.

    PR:     246106

 devel/leatherman/files/patch-shared_nowide (new) | 108 +++++++++++++++++++++++
 devel/leatherman/pkg-plist                       |  14 ---
 2 files changed, 108 insertions(+), 14 deletions(-)
Comment 56 Dima Panov freebsd_committer 2022-05-24 08:54:59 UTC
(In reply to Antoine Brodin from comment #54)
cpp-hocon fails by leatherman. fixed.

apache-openoffice-* already have incorporated boost-1.59 bundle and shouldn't be affected, we need to call @truckman to dig deeper.
Comment 57 commit-hook freebsd_committer 2022-05-24 11:02:47 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=969f058c9cee699abc13ba9426bad593fe3b2e28

commit 969f058c9cee699abc13ba9426bad593fe3b2e28
Author:     Dima Panov <fluffy@FreeBSD.org>
AuthorDate: 2022-05-24 10:57:55 +0000
Commit:     Dima Panov <fluffy@FreeBSD.org>
CommitDate: 2022-05-24 10:57:55 +0000

    devel/liblas: unbreak build after recent boost upgrade (+)

    While here, backport critical security and compatibility fixes from upstream

    PR:             246106
    Security:       CVE-2018-20540

 devel/liblas/files/patch-CVE-2018-20540 (new)      | 55 ++++++++++++++++++++++
 .../liblas/files/patch-CVE-2018-20540-fixup (new)  | 24 ++++++++++
 devel/liblas/files/patch-boost-1.73 (new)          | 55 ++++++++++++++++++++++
 devel/liblas/files/patch-fix-overload-call (new)   | 15 ++++++
 devel/liblas/files/patch-gdal-2.5.0 (new)          | 34 +++++++++++++
 5 files changed, 183 insertions(+)